Bugs in Archlinux32 packages, specific to 32-bit issues.

Bugs  FS#2  to  FS#92  have been recovered and may be incomplete, the
recovered Google/Bing cache data can be found here.

IDCategory  ascTask TypePrioritySeveritySummaryStatusProgress
141DevopsBug ReportMediumLowmake iso build more reliablyNew
0%
Task Description

Currently, the iso build are several bash scripts on several machines requiring to move stuff via sshfs and alike.

This should become more stable - ideally some single script/package/systemd-unit with proper error reporting (email or irc come to my mind)

176DevopsFeature RequestMediumLowbring back archiso32 dual bootNew
0%
Task Description

We should make archiso32 be able to build a i686- and x86_64-bootable iso, again. This is really handy on a usb stick as a rescue system.

The problem with the old dual iso is, that I had to do the i686 iso from scratch, because upstream changed from build.sh to putting everything into mkarchiso. Now, everything is steered from a profile file.

So either, we find a way to make a profile for multiple architectures, or we need to patch mkarchiso to do that for us - and maybe upstream these changes.

294PackagesBug ReportVery LowHigh[qtile] importlib.metadata.PackageNotFoundError: No pac...Assigned
0%
Task Description

When running qtile I get the following error message:

[qtile] importlib.metadata.PackageNotFoundError: No package metadata was found for qtile

Running qtile on Arch Linux works as expected.

$ qtile start
Traceback (most recent call last):
  File "/usr/bin/qtile", line 33, in <module>
    sys.exit(load_entry_point('qtile==0.18.1', 'console_scripts', 'qtile')())
  File "/usr/bin/qtile", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 957, in distribution
    return Distribution.from_name(distribution_name)
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 548, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for qtile
$ pacman -Qi qtile
Name            : qtile
Version         : 0.18.1-3.0
Description     : A full-featured, pure-Python tiling window manager
Architecture    : pentium4
URL             : http://www.qtile.org
Licenses        : MIT
Groups          : None
Provides        : None
Depends On      : gdk-pixbuf2  glibc  libnotify  librsvg  pango  python-cairocffi  python-cffi  python-xcffib  python-gobject  python-setuptools
Optional Deps   : alsa-utils: for volume widget
                  canto-daemon: for canto widget
                  cmus: for cmus widget
                  jupyter_console: for interaction with qtile via Jupyter
                  khal: for khal_calendar widget
                  libpulse: for pulse_volume and pulseaudio_ffi widget [installed]
                  lm_sensors: for sensors widget [installed]
                  moc: for moc widget
                  python-dbus-next: for utils, notifications and several widgets
                  python-iwlib: for wlan widget
                  python-keyring: for imapwidget widget
                  python-mpd2: mpd2widget widget
                  python-psutil: graph, net and memory widget [installed]
                  python-pywlroots: for experimental wayland support
                  python-setproctitle: change process name to qtile
                  python-xdg: launchbar widget
Required By     : None
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 3.25 MiB
Packager        : Andreas Baumann <mail@andreasbaumann.cc>
Build Date      : Mon 04 Oct 2021 12:02:58
Install Date    : Mon 26 Sep 2022 13:33:45
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : Signature
$ sudo pacman -Syu
:: Synchronizing package databases...
 core downloading...
 extra downloading...
 community downloading...
:: Starting full system upgrade...
 there is nothing to do
325PackagesBug ReportVery LowHigh[terminus] crashes with message undefined symbol: cairo...Unconfirmed
0%
Task Description

Starting terminus gives following error:

from ._cairo import *  # noqa: F401,F403
ImportError: /usr/lib/python3.10/site-packages/cairo/_cairo.cpython-310-i386-linux-gnu.so: undefined symbol: cairo_tee_surface_index

Bug seens to be related to

https://bugs.archlinux.org/task/77367

There is generall mess on cairo related files for different architectures (pentium4, i486, i686) - some packages for one architecture are outdated, while for other archictectures are up to date, for instance:

  • python-cairo i486/extra : 1.21.0-1.0
  • python-cairo i686/extra : 1.23.0-3.0
  • python-cairo pentium4/extra : 1.23.0-3.0
327PackagesBug ReportVery LowHigh[firefox-106.0.3.1.1-pentium4] crashes in VMware virtua...Unconfirmed
0%
Task Description

This is pentium4 related problem. Firefox crashes on startup with following messages:

ExceptionHandler::GenerateDump cloned child 814
ExceptionHandler::SendContinueSignalToChild sent continue signal to child
ExceptionHandler::WaitForContinueSignal waiting for continue signal...

Screenshot. Firefox folder after crash.

Temporary solution is to change in /etc/pacman/conf

Architecture=i686

, delete firefox for pentium4 from pacman cache and reinstall firefox

firefox-106.0.3.1.1-i686
329PackagesBug ReportVery LowHigh[go] Cannot install yay from AURUnconfirmed
0%
Task Description

Installing yay from AUR

git clone https://aur.archlinux.org/yay.git
cd yay
makepkg -sri

gives following error

go: updates to go.sum needed, disabled by -mod=readonly

Reason - outdated version of go in i686 architecture

Temporary solution - use go for pentium4 (change temporarily architecture to pentium4 in /etc/pacman.conf)

172PackagesBug ReportVery LowMediumiwd requires some kernel flagsUnconfirmed
0%
Task Description

RC4 support not found
The following options are missing in the kernel:

CONFIG_CRYPTO_USER_API_SKCIPHER
CONFIG_CRYPTO_ECB
CONFIG_CRYPTO_ARC4
210PackagesBug ReportVery LowMediumkeymap don't gets fixed on login as set in /etc/vconsol...Unconfirmed
0%
Task Description

gzip comes with asm code, if enabled, built a TEXTREL which gets bloqued on boot, so systemd don’t set keymap
A lot of tricks in forums, old thread more complete here $506 An old problem. Work around while asm gets fixed is call configure with DEFS=”NO_ASM” like this:

...
export DEFS="NO_ASM"
./configure ....

or,

./configure DEFS="NO_ASM" ....

I have not tested it, but gentoo on x32 have gzip like this and no TEXTRELS here.
No matter i486, i686 or pentium.

Hope it helps.

Best regards.

243PackagesBug ReportVery LowMedium[linux and linux-zen] 5.16.12 needs a rebuild with gcc...New
0%
Task Description

[linux and linux-zen] 5.16.12 needs a rebuild with gcc 11.2 so DKMS packages will work

get errors when dkms installing in make log

cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so

328PackagesBug ReportVery LowMediumlibreoffice-fresh on i686 is newer then pentium4Unconfirmed
0%
Task Description

i686:- libreoffice-fresh 7.3.4-2.1
pentium4:- libreoffice-fresh 7.3.2-1.0

109PackagesBug ReportMediumLowgcc10 -fno-common breaks jdkNew
0%
Task Description

/usr/bin/ld: /build/java-openjdk/src/jdk14u-jdk-14.0.1+7/build/linux-x86-server-release/support/native/java.base/libjava/childproc.o:/build/java-openjdk/src/jdk14u-jdk-14.0.1+7/src/java.base/unix/native/libjava/childproc.h:129: multiple definition of `parentPathv’; /build/java-openjdk/src/jdk14u-jdk-14.0.1+7/build/linux-x86-server-release/support/native/java.base/libjava/ProcessImpl_md.o:/build/java-openjdk/src/jdk14u-jdk-14.0.1+7/src/java.base/unix/native/libjava/childproc.h:129: first defined here

collect2: error: ld returned 1 exit status

This is fixed known and fixed upstream (without just setting
-fcommon again):

https://bugs.openjdk.java.net/browse/JDK-8235903

116PackagesBug ReportMediumLowRace causes iptables not to be ready after startupNew
0%
Task Description

Nov 06 08:04:01 eurohp1 systemd[1]: Starting IPv4 Packet Filtering Framework… Nov 06 08:04:01 eurohp1 iptables-restore[287]: Another app is currently holding the xtables lock. Perhap>
Nov 06 08:04:01 eurohp1 systemd[1]: iptables.service: Main process exited, code=exited, status=4/NOPERMI>
Nov 06 08:04:01 eurohp1 systemd[1]: iptables.service: Failed with result ‘exit-code’.
Nov 06 08:04:01 eurohp1 systemd[1]: Failed to start IPv4 Packet Filtering Framework.

Works when starting iptables later manually.

This is security relevant as not having a firewall after startup puts the system at risk.

117PackagesBug ReportVery LowLowvboxdrive module missingNew
0%
Task Description

vboxdrv module is missing making virtualbox unusable.

I’m currently running kernel 5.9.0-1.0-pae but it doesn’t seem to be there in any version

126PackagesBug ReportMediumLowlua hooks break in TeX on i686New
0%
Task Description
PANIC: unprotected error in call to Lua API (CPU with SSE2 required)
PANIC: unprotected error in call to Lua API (CPU with SSE2 required)
fmtutil [ERROR]: running `luajittex -ini   -jobname=luajittex -progname=luajittex luatex.ini </dev/null' return status: 1
fmtutil [ERROR]: cannot copy log luajittex.log to: /var/lib/texmf/web2c/luajittex
fmtutil [ERROR]: returning error due to option --strict
fmtutil [ERROR]: running `luajithbtex -ini   -jobname=luajithbtex -progname=luajithbtex luatex.ini </dev/null' return status: 1
fmtutil [ERROR]: cannot copy log luajithbtex.log to: /var/lib/texmf/web2c/luajithbtex
fmtutil [ERROR]: returning error due to option --strict
error: command failed to execute correctly
132PackagesBug ReportMediumLowOLPC-XO-1 kernel, usb8xx module crashingNew
0%
Task Description
[   21.686772] usb8xxx: Firmware ready event received
[   21.717061] usb8xxx 1-1:1.0 (unnamed net_device) (uninitialized): 00:17:c4:10:e3:67, fw 5.110.22p23, cap 0x000003a3
[   21.897489] usb8xxx 1-1:1.0 wlan0: Marvell WLAN 802.11 adapter
[   22.004871] usb8xxx 1-1:1.0 wlan0: PREP_CMD: command 0x0074 failed: 2
[   22.109002] usb8xxx 1-1:1.0 wlan0: Firmware does not seem to support PS mode
[   22.217405] usb8xxx 1-1:1.0 wlan0: PREP_CMD: command 0x0043 failed: 1
[   22.318862] usb8xxx 1-1:1.0 wlan0: HOST_SLEEP_CFG failed 1
[   23.468484] usb8xxx 1-1:1.0 wlp0s15f5u1: renamed from msh0
[   43.523176] ------------[ cut here ]------------
[   43.556197] WARNING: CPU: 0 PID: 148 at net/wireless/core.c:1346 cfg80211_netdev_notifier_call+0x102/0x31e
[   43.625361] Modules linked in: input_leds led_class usb8xxx libertas serio_raw
[   43.664224] CPU: 0 PID: 148 Comm: wpa_supplicant Not tainted 5.10.5-arch1-1.0-olpc-xo1 #1
[   43.715531] Hardware name: OLPC XO/XO, BIOS OLPC Ver 1.00.01 06/11/2014
[   43.754829] EIP: cfg80211_netdev_notifier_call+0x102/0x31e
[   43.792862] Code: ff 89 f0 e8 4d fc ff ff 8b 46 7c 85 c0 74 2a 39 58 34 75 25 80 78 64 00 75 16 8b 96 80 00 00 00 85 d2 74 06 80 7a 64 00 75 06 <0f> 0b c6 40 62 01 31 d2 89 f0 e8 3d 7a 00 00 8b 86 88 00 00 00 8b
[   43.911511] EAX: c36e1d00 EBX: c2cb8800 ECX: ffffffff EDX: 00000000
[   43.958939] ESI: c341c000 EDI: c1f7d000 EBP: c1eebdd4 ESP: c1eebdbc
[   44.002464] DS: 007b ES: 007b FS: 0000 GS: 00e0 SS: 0068 EFLAGS: 00010246
[   44.045454] CR0: 80050033 CR2: b69e5428 CR3: 01ff0000 CR4: 00000090
[   44.088019] Call Trace:
[   44.126010]  ? fib_disable_ip+0x2a/0x2d
[   44.165297]  ? cfg80211_register_wdev+0x46/0x46
[   44.208941]  notifier_call_chain+0x2a/0x4e
[   44.252482]  raw_notifier_call_chain+0xc/0xe
[   44.296501]  call_netdevice_notifiers_info+0x5d/0x64
[   44.338599]  call_netdevice_notifiers+0x18/0x1a
[   44.379580]  __dev_notify_flags+0x4a/0x7c
[   44.419064]  dev_change_flags+0x3d/0x46
[   44.464304]  devinet_ioctl+0x260/0x4cd
[   44.502437]  inet_ioctl+0x139/0x163
[   44.539766]  ? dev_name_hash+0x20/0x36
[   44.577060]  ? dev_get_by_name_rcu+0x1c/0x2f
[   44.614874]  ? dev_ioctl+0x2e4/0x40e
[   44.651928]  ? inet_recvmsg+0x77/0x77
[   44.692778]  sock_ioctl+0x2ad/0x36f
[   44.730157]  ? preempt_count_add+0x4a/0x4f
[   44.771397]  ? ____sys_recvmsg+0xbc/0xbc
[   44.808485]  vfs_ioctl+0x1a/0x24
[   44.847256]  __ia32_sys_ioctl+0x5aa/0x5c4
[   44.891962]  ? debug_smp_processor_id+0x12/0x14
[   44.930996]  ? fpregs_assert_state_consistent+0x17/0x34
[   44.967562]  ? exit_to_user_mode_prepare+0x84/0x94
[   45.002448]  do_int80_syscall_32+0x2c/0x39
[   45.035656]  entry_INT80_32+0xf3/0xf3
[   45.067762] EIP: 0xb790ffc4
[   45.097915] Code: 83 c4 0c 89 d8 5b 5e 5f 5d c3 66 90 66 90 66 90 66 90 66 90 66 90 53 8b 54 24 10 8b 4c 24 0c 8b 5c 24 08 b8 36 00 00 00 cd 80 <5b> 3d 01 f0 ff ff 0f 83 a0 3f f3 ff c3 66 90 66 90 66 90 66 90 66
[   45.199342] EAX: ffffffda EBX: 00000007 ECX: 00008914 EDX: bffe736c
[   45.233187] ESI: bffe736c EDI: 0076c850 EBP: 00000000 ESP: bffe7348
[   45.266705] DS: 007b ES: 007b FS: 0000 GS: 0033 SS: 007b EFLAGS: 00000296
[   45.300799] ---[ end trace 20811b76aa348f84 ]---
[   64.909322] IPv6: ADDRCONF(NETDEV_CHANGE): wlp0s15f5u1: link becomes ready

Warm reboot a second time seems to help.

143PackagesBug ReportMediumLowthunderbird doesn't build and runNew
0%
Task Description

still linked against icu67.

Same here, I cannot believe that somebody is actually using thunderbird on Archlinux32 anymore.

Triggered rebuild, doesn’t build currently.

162PackagesBug ReportMediumLowbrowsers based on Chromium break in secomp sanboxingNew
0%
Task Description

Everything using chromium/seccomp jailing breaks currently including chromium due to missing IA-32
rules in libseccomp and/or chromium itself.

Firefox seems to work fine.
epiphany works.
midori works.
luakit works.

Chromium crashes with sigsegv (I would expect something which reminds me of a seccomp syscall?).

konqueror, falkon, qutebrowser are based on qt5-webengine. They all open up but then don’t render a page (issuing the seccomp error messages attached below).

vivaldi the same, but as it is closed source, we cannot fix it.

163PackagesBug ReportMediumLowsphinx_rtd_theme is used to build documentation but doe...New
0%
Task Description
build
running build_py
npm WARN npm npm does not support Node.js v15.9.0
npm WARN npm You should probably upgrade to a newer version of node as we
npm WARN npm can't make any promises that npm will work with this version.
npm WARN npm Supported releases of Node.js are the latest release of 6, 8, 9, 10, 11, 12, 13.
npm WARN npm You can find the latest version at https://nodejs.org/

> sphinx_rtd_theme@0.5.1 preinstall /build/python-sphinx_rtd_theme/src/sphinx_rtd_theme-0.5.1
> bin/preinstall.js

Traceback (most recent call last):
  File "/build/python-sphinx_rtd_theme/src/sphinx_rtd_theme-0.5.1/setup.py", line 86, in <module>
    setup(
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib/python3.9/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib/python3.9/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.9/distutils/command/build.py", line 135, in run
    self.run_command(cmd_name)
  File "/usr/lib/python3.9/distutils/cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/build/python-sphinx_rtd_theme/src/sphinx_rtd_theme-0.5.1/setup.py", line 22, in run
    subprocess.run(['npm', 'install'], check=True)
  File "/usr/lib/python3.9/subprocess.py", line 524, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['npm', 'install']' died with <Signals.SIGSEGV: 11>.
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /var/lib/archbuild/staging-pentium4/abaumann/build
164PackagesBug ReportMediumLowpam_systemd.so hangs openssh 2 out of 3 timesNew
0%
Task Description

Effect: you can not log in.
The SSHd child runs on 100% CPU doing something.
This happens on i486, i686 and pentium4 equally.

166PackagesBug ReportMediumLows2n-tls: failing testsNew
0%
Task Description

The following tests FAILED:

       91 - s2n_pq_kem_hybrid_kat_test (Failed)
      145 - s2n_session_ticket_test (Failed)
      154 - s2n_stuffer_network_order_test (Failed)
      184 - s2n_x509_validator_test (Failed)

https://github.com/aws/s2n-tls/issues/2405 https://github.com/aws/s2n-tls/issues/2406 https://github.com/aws/s2n-tls/issues/2404

3 are known upstream too.

196PackagesBug ReportMediumLowupdate filesystemNew
0%
Task Description

b3da2fc1c25065a1bd09f9930eeed1d11dc312e4 only updated half the package - we’re missing:

- update the logo
- update the url (?)
- only if both are done: updating the hash on top of the PKGBUILD

209PackagesBug ReportVery LowLowIntel High Definition Audio issue.Unconfirmed
0%
Task Description

I am using Arch Linux 32 latest version on Sony VAIO VGN-FS215Z . The following is the audio device:

-fs215z:~$ lspci | grep -i audio

00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)

When I boot the system after some time getting crackling sound in speaker. Sometimes it stops after few minutes and sometimes continue to sound. Really annoying. I am not getting the normal audio in any application. This problem was there in debian based OSs also but not there in any other OS.

Please help.

228PackagesBug ReportMediumLow[icu69] not updated packagesNew
0%
Task Description

starting to collect them here packages which require icu69 (and have thus not been rebuilt
for icu 70 yet):

- abiword: libical (rescheduled build)

231PackagesBug ReportMediumLow[libffi] packages needing a rebuildNew
0%
Task Description
'pypy_plugin.so' -> '/build/uwsgi/pkg/uwsgi-plugin-pypy/usr/lib/uwsgi/pypy_plugin.so'
install: creating directory '/build/uwsgi/pkg/uwsgi-plugin-pypy/opt'
install: creating directory '/build/uwsgi/pkg/uwsgi-plugin-pypy/opt/pypy'
install: creating directory '/build/uwsgi/pkg/uwsgi-plugin-pypy/opt/pypy/site-packages'
'uwsgidecorators.py' -> '/build/uwsgi/pkg/uwsgi-plugin-pypy/opt/pypy/site-packages/uwsgidecorators.py'
pypy: error while loading shared libraries: libffi.so.6: cannot open shared object file: No such file or directory
240PackagesBug ReportMediumLow[qt5-base] i486 builds run out of memory due to LTONew
0%
Task Description

LTO is hard to switch off, there are flags doing nothing, I see errors like

lto-wrapper: fatal error: write: No space left on device

245PackagesBug ReportMediumLow[opencv] Python stack smashingNew
0%
Task Description

– Found PythonInterp: /usr/bin/python3 (found suitable version “3.10.4”, minimum required is “3.2”)
– Found PythonLibs: /lib/libpython3.10.so (found suitable exact version “3.10.4”)
* stack smashing detected *: terminated

Building falls through, only in package() we see the errors then:

rm: cannot remove ‘/build/opencv/pkg/opencv/usr/lib/python3*’: No such file or directory
=⇒ ERROR: A failure occurred in package_opencv().

Happens on real i486, not in staging-i486-build, making it even more annoying.

This blocks gstreamer with the opencv plugin..

246PackagesBug ReportMediumLow[blender] doesn't work (and doesn't build)New
0%
Task Description

blender 2.93 has dependencies on wrong versions of
- llvm (via openshadinglanguage)
- boost (via openimageio)

Could NOT find PythonLibsUnix (missing: PYTHON_LIBRARY PYTHON_LIBPATH PYTHON_INCLUDE_DIR PYTHON_INCLUDE_CONFIG_DIR)’

blender 3.0.1:
Haru not found, disabling WITH_HARU’ and ‘Cycles OSL requires WITH_LLVM, the library may not have been found. Configure LLVM or disable WITH_CYCLES_OSL

Let’s tackle one issue after the other. :-)

248PackagesBug ReportMediumLow[Qt6] Illegal OpcodesNew
0%
Task Description
кві 09 19:43:36 alizee kernel: traps: telegram-deskto[1252] trap invalid opcode ip:b3f990c3 sp:bf8d0010 error:0 in libQt6Gui.so.6.2.3[b3ecb000+873000]

Stack trace of thread 1252:
#0  0x00000000b3f990c3 n/a (libQt6Gui.so.6 + 0xce0c3)
#1  0x00000000b7f67ecb call_init (ld-linux.so.2 + 0x5ecb)
#2  0x00000000b7f67fc4 _dl_init (ld-linux.so.2 + 0x5fc4)
#3  0x00000000b7f7f58a _dl_start_user (ld-linux.so.2 + 0x1d58a)
ELF object binary architecture: Intel 80386
кві 09 19:45:11 alizee kernel: traps: qbittorrent[1353] trap invalid opcode ip:b60c69b6 sp:bfd54e70 error:0 in libQt6Core.so.6.2.3[b5f22000+2fd000]

Stack trace of thread 1353:
#0  0x00000000b60c69b6 _Z26qCalculateGrowingBlockSizeiii (libQt6Core.so.6 + 0x21c9b6)
#1  0x00000000b60c6aa9 _ZN10QArrayData8allocateEPPS_iiiNS_16AllocationOptionE (libQt6Core.so.6 + 0x21caa9)
#2  0x00000000b61e9cef n/a (libQt6Core.so.6 + 0x33fcef)
#3  0x00000000b61139a4 _ZN18QThreadStorageDataC2EPFvPvE (libQt6Core.so.6 + 0x2699a4)
#4  0x00000000b656aca9 n/a (libQt6Network.so.6 + 0x31ca9)
#5  0x00000000b7f68ecb call_init (ld-linux.so.2 + 0x5ecb)
#6  0x00000000b7f68fc4 _dl_init (ld-linux.so.2 + 0x5fc4)
#7  0x00000000b7f8058a _dl_start_user (ld-linux.so.2 + 0x1d58a)
ELF object binary architecture: Intel 80386
252PackagesBug ReportMediumLow[dbus-python/python-dbus] mixupNew
0%
Task Description

packages (like upower) which include a dependency on python-dbus
use a 3.9 version and miss the correct one dbus-python (which
replaces python-dbus). This will only solve itself when upstream
adapts the PKGBUILDs to this name change.

254PackagesBug ReportMediumLow[libinput/libadwaita/gtk4/tracker3] on i486 failNew
0%
Task Description
/usr/bin/ld: warning: libicuuc.so.69, needed by /usr/lib/libtracker-sparql-3.0.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libicui18n.so.69, needed by /usr/lib/libtracker-sparql-3.0.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/libtracker-sparql-3.0.so: undefined reference to `unorm2_getNFKCInstance_69'
/usr/bin/ld: /usr/lib/libtracker-sparql-3.0.so: undefined reference to `u_strToLower_69'
/usr/bin/ld: /usr/lib/libtracker-sparql-3.0.so: undefined reference to `ubrk_first_69'

tracker3 is not rebuilding on i486:

tracker/docs/reference/libtracker-sparql/meson.build:78:7: ERROR: Unknown variable "tracker_sparql_gir".
255PackagesBug ReportVery LowLow[seamonkey] Does not start, needs rebuildingNew
0%
Task Description

Seamonkey is built with now outdated versions of libffi and icu (69). Neither pentium4 nor i686 build starts right now.

257PackagesBug ReportMediumLow[openjdk 11/17/18] fails to build almost in all version...New
0%
Task Description

no task description

265PackagesBug ReportMediumLow[python] starts to depend on Rust (i486)New
0%
Task Description

Traceback (most recent call last):

File "/build/python-cryptography/src/cryptography-37.0.2/setup.py", line 14, in <module>
  from setuptools_rust import RustExtension

ModuleNotFoundError: No module named ‘setuptools_rust’

# no rust for now on i486
if [ “$CARCH” = ‘i486’ ]; then

makedepends=(${makedepends[@]//python-setuptools-rust/})

fi

This affects i486, so we are forced to bootstrap Rust on i486..

275PackagesBug ReportMediumLow[protobuf] breaks heavily on 32-bitNew
0%
Task Description

/build/protobuf/src/protobuf-21.2/src/google/protobuf/repeated_field.h: In instantiation of ‘constexpr int google::protobuf::internal::RepeatedFieldLowerClampLimit() [with T = long long int; int kRepHeaderSize = 4]’:

/data/work/arch32/protobuf/src/protobuf-21.2/src/google/protobuf/repeated_field.h:81:27: note: the comparison reduces to ‘(8 ⇐ 4)’

276PackagesBug ReportMediumLowLTO optimization needs to much memoryNew
0%
Task Description

7234 build 20 0 1353768 1.2g 18020 R 96.1 64.0 4:27.92 lto1-wpa

xf86-video-intel (this is not exactly a huge package, but maybe the
included X libraries are?)

We lost it on i486 already (because it doesn’t work with newer gcc, or at least
I didn’t investigate how to make it work).

I suggest to get rid of LTO completely.
The problem is patching all the options=(lto), –enable-lto/ –without-lto -D b_lto=tru
etc. which easily creates a maintainance nightmare.

Maybe an easier way to go is to have them similar to the ‘lib32-’ stripping
in the main build scripts or hooks? Downstream this might create
trouble tough, as the build systems are different..

Upstream has options=(lto) support, but it doesn’t seen helping here as packages
need local flags everywhere..

280PackagesBug ReportMediumLow[mesa] and [mesa-amber] fail on DRI-2 on i486New
0%
Task Description

Most likely DRI-2 has been removed, rendering a whole bunch of old cards useless.

282PackagesBug ReportMediumLow[qt5-webengine] fails with LTO and one definition ruleNew
0%
Task Description

After hours of compiling:

release/../../../../qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:145:19: warning: type ‘struct RefCountedThreadSafeBase’ violates the C++ One Definition Ru
le [-Wodr]
  145 | class BASE_EXPORT RefCountedThreadSafeBase {
      |                   ^
/usr/src/debug/qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:145:19: note: a different type is defined in another translation unit
/usr/src/debug/qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:229:16: note: the first difference of corresponding 
definitions is field ‘needs_adopt_ref_’
/usr/src/debug/qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:145:19: note: a type with different number of fields is defined in another translation unit
release/../../../../qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:387:7: warning: type ‘struct RefCountedThreadSafe’ violates the C++ One Definition Rule [-
Wodr]
  387 | class RefCountedThreadSafe : public subtle::RefCountedThreadSafeBase {
      |       ^
/usr/src/debug/qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:387:7: note: a type with different bases is defined in another translation unit
release/../../../../qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:387:7: warning: type ‘struct RefCountedThreadSafe’ violates the C++ One Definition Rule [-Wodr]
  387 | class RefCountedThreadSafe : public subtle::RefCountedThreadSafeBase {
      |       ^
/usr/src/debug/qtwebengine/src/3rdparty/chromium/base/memory/ref_counted.h:387:7: note: a type with different bases is defined in another translation unit
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:87:38: warning: type ‘struct CookieMonsterDelegateQt’ violates the C++ One Definition Rule [-Wodr]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:87:38: note: a type with different bases is defined in another translation unit
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:104:10: warning: type of ‘setCookie’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:134:6: note: ‘setCookie’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:134:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:113:10: warning: type of ‘setHasFilter’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:212:6: note: ‘setHasFilter’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:212:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:108:10: warning: type of ‘deleteAllCookies’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:183:6: note: ‘deleteAllCookies’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:183:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:107:10: warning: type of ‘deleteSessionCookies’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:171:6: note: ‘deleteSessionCookies’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:171:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:105:10: warning: type of ‘deleteCookie’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:158:6: note: ‘deleteCookie’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:158:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:106:10: warning: type of ‘getAllCookies’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:129:6: note: ‘getAllCookies’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:129:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.h:102:10: warning: type of ‘hasCookieMonster’ does not match original declaration [-Wlto-type-mismatch]
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:124:6: note: ‘hasCookieMonster’ was previously declared here
/usr/src/debug/qtwebengine/src/core/net/cookie_monster_delegate_qt.cpp:124:6: note: code may be misoptimized unless ‘-fno-strict-aliasing’ is used
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: warning: virtual table of type ‘struct CallbackSharedDataPointer’ violates one definition rule [-Wodr]
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: note: the conflicting type defined in another translation unit has virtual table with more entries
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: warning: virtual table of type ‘struct CallbackSharedDataPointer’ violates one definition rule [-Wodr]
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: note: the conflicting type defined in another translation unit has virtual table with more entries
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: warning: virtual table of type ‘struct CallbackSharedDataPointer’ violates one definition rule [-Wodr]
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: note: the conflicting type defined in another translation unit has virtual table with more entries
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: warning: virtual table of type ‘struct CallbackSharedDataPointer’ violates one definition rule [-Wodr]
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: note: the conflicting type defined in another translation unit has virtual table with more entries
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: warning: virtual table of type ‘struct CallbackSharedDataPointer’ violates one definition rule [-Wodr]
/usr/src/debug/qtwebengine/src/core/api/qwebenginecallback_p.h:136:12: note: the conflicting type defined in another translation unit has virtual table with more entries
during RTL pass: pro_and_epilogue
release/gen/services/network/public/mojom/content_security_policy.mojom.h: In member function ‘Clone’:
release/gen/services/network/public/mojom/content_security_policy.mojom.h:1666:1: internal compiler error: in find_oldest_value_reg, at regcprop.cc:460

This is sort of unmaintainable..

283PackagesBug ReportVery LowLow[icu70/icu71 ] packages not rebuilt yetAssigned
0%
Task Description

starting to collect them here packages which require icu69 (and have thus not been rebuilt
for icu 71 yet):

libreoffice-fresh

284PackagesBug ReportMediumLow[qt] breaks on i686 and i486 (uses SSE2 optimisations)New
0%
Task Description

no task description

287PackagesFeature RequestVery LowLowchromium not able to buildAssigned
0%
Task Description

Wait unfortunately i found a patch through which chromium would compile on x86

please try to build chromium using those patches

https://github.com/void-linux/void-packages/blob/master/srcpkgs/chromium/patches/reenable-linux-i686-builds.patch https://github.com/void-linux/void-packages/blob/master/srcpkgs/chromium/patches/chromium-i686-vaapi-fpermissive.patch https://github.com/void-linux/void-packages/blob/master/srcpkgs/chromium/patches/chromium-105-bitmap-include.patch https://github.com/void-linux/void-packages/blob/master/srcpkgs/chromium/patches/chromium-105-browser-include.patch

290PackagesBug ReportMediumLow[qt6-webengine] fails building with nodeNew
0%
Task Description
Traceback (most recent call last):
  File "/build/qt6-webengine/src/build/src/core/RelWithDebInfo/i686/../../../../../qtwebengine-everywhere-src-6.3.2/src/3rdparty/chromium/third_party/node/node.py", line 62, in <module>
    RunNode(sys.argv[1:])
  File "/build/qt6-webengine/src/build/src/core/RelWithDebInfo/i686/../../../../../qtwebengine-everywhere-src-6.3.2/src/3rdparty/chromium/third_party/node/node.py", line 57, in RunNode
    raise RuntimeError('Command \'%s\' failed\n%s' % (' '.join(cmd), err))
RuntimeError: Command '/usr/bin/node ../../../../../qtwebengine-everywhere-src-6.3.2/src/3rdparty/chromium/third_party/devtools-frontend/src/scripts/build/compress_files.js --file_list __third_party_devtools-frontend_src_compress__build_qt6-webengine_src_build_src_core_target_toolchain_target__rule..rsp' failed

This is presumably knitting together some documentation, node is currently broken on Arch32..

310PackagesBug ReportMediumLow[webkit2gtk] needs a running RubyNew
0%
Task Description
<internal:/usr/lib/ruby/3.0.0/rubygems/core_ext/kernel_require.rb>:85:in `require': cannot load such file -- date_core (LoadError)
        from <internal:/usr/lib/ruby/3.0.0/rubygems/core_ext/kernel_require.rb>:85:in `require'
        from /usr/lib/ruby/3.0.0/date.rb:4:in `<top (required)>'
        from <internal:/usr/lib/ruby/3.0.0/rubygems/core_ext/kernel_require.rb>:85:in `require'
        from <internal:/usr/lib/ruby/3.0.0/rubygems/core_ext/kernel_require.rb>:85:in `require'
        from /build/webkit2gtk/src/webkitgtk-2.38.2/Source/JavaScriptCore/generator/GeneratedFile.rb:24:in `<top (required)>'
        from /build/webkit2gtk/src/webkitgtk-2.38.2/Source/JavaScriptCore/generator/DSL.rb:25:in `require_relative'
        from /build/webkit2gtk/src/webkitgtk-2.38.2/Source/JavaScriptCore/generator/DSL.rb:25:in `<top (required)>'
        from /build/webkit2gtk/src/webkitgtk-2.38.2/Source/JavaScriptCore/generator/main.rb:24:in `require_relative'
        from /build/webkit2gtk/src/webkitgtk-2.38.2/Source/JavaScriptCore/generator/main.rb:24:in `<main>'

And ruby is currently broken..

311PackagesBug ReportMediumLow[ffmpeg] fails with SIGILL on i686Assigned
0%
Task Description

work fine on pentium4

reproducable: ffplay <file.mp4>

offending opcode:

 0xb5f315e7:  f3 0f 10 83 d0 0b 00 00 movss  
                  0xbd0(%ebx),%xmm0
313PackagesBug ReportMediumLow[hg] broken on i486New
0%
Task Description
Traceback (most recent call last):
  File "/usr/bin/hg", line 59, in <module>
    dispatch.run()
  File "/usr/lib/python3.10/site-packages/mercurial/dispatch.py", line 143, in run
    status = dispatch(req)
  File "/usr/lib/python3.10/site-packages/mercurial/dispatch.py", line 232, in dispatch
    status = _rundispatch(req)
  File "/usr/lib/python3.10/site-packages/mercurial/dispatch.py", line 276, in _rundispatch
    ret = _runcatch(req) or 0
  File "/usr/lib/python3.10/site-packages/mercurial/dispatch.py", line 451, in _runcatch
    return _callcatch(ui, _runcatchfunc)
  File "/usr/lib/python3.10/site-packages/mercurial/dispatch.py", line 461, in _callcatch
    return scmutil.callcatch(ui, func)
  File "/usr/lib/python3.10/site-packages/mercurial/scmutil.py", line 153, in callcatch
    return func()
  File "/usr/lib/python3.10/site-packages/mercurial/dispatch.py", line 441, in _runcatchfunc
    return _dispatch(req)

That’s why ‘nss’ is not rebuilding on i486.

314PackagesBug ReportVery LowLowMumble requires a outdated protobuf Unconfirmed
0%
Task Description

libprotobuf=28 is a mumble (package) dependency, but protobuf package has libprotobuf=32.

I needed to downgrade to protobuf-3.17.3-1.3-pentium4.pkg.tar.zst (from the archive) to install mumble.

316PackagesBug ReportMediumLow[rust] exhausts virtual memoryNew
0%
Task Description
/usr/bin/ld: error: lib/libLLVMSupport.a(FileOutputBuffer.cpp.o)(.text._ZN12_GLOBAL__N_112OnDiskBufferD0Ev
) is too large (0x105 bytes)
/usr/bin/ld: failed to set dynamic section sizes: memory exhausted
collect2: error: ld returned 1 exit status

maybe we have to resort to cross-compiling rust in the end..

319PackagesBug ReportMediumLow[js102] rebuild results in a broken JS interpreter outp...New
0%
Task Description
 2:33.16 1 warning generated.
 2:47.25     Finished release [optimized] target(s) in 2m 24s
 3:50.23 js/src/build/libjs_static.a
 3:50.23 js/src/build/libmozjs-102.so
 3:51.27 js/src/gdb/gdb-tests
 3:51.27 js/src/shell/js
 3:51.33 js/src/jsapi-tests/jsapi-tests
 3:52.83 ./spidermonkey_checks.stub
 3:54.52 TEST-PASS | check_spidermonkey_style.py | ok
 3:54.79 TEST-PASS | check_macroassembler_style.py | ok
 3:54.84 TEST-PASS | check_js_opcode.py | ok
 3:55.04 7 compiler warnings present.
 3:55.09 Overall system resources - Wall time: 233s; CPU: 0%; Read bytes: 0; Write bytes: 0; Read time: 0; Write time: 0
 3:55.13 warning: intl/icu/source/i18n/nfsubs.cpp:1313:17 [-Wunused-but-set-variable] variable 'pow' set but not used
 3:55.13 warning: intl/icu/source/i18n/ucol.cpp:108:12 [-Wdeprecated-declarations] 'ucol_safeClone_71' is deprecated
 3:55.13 warning: mfbt/tests/TestResult.cpp:101:20 [-Wdeprecated-declarations] 'is_literal_type_v<mozilla::Result<int *, Failed>>' is deprecated
 3:55.13 warning: mfbt/tests/TestResult.cpp:102:20 [-Wdeprecated-declarations] 'is_literal_type_v<mozilla::Result<mozilla::Ok, Failed>>' is deprecated
 3:55.13 warning: mfbt/tests/TestResult.cpp:103:20 [-Wdeprecated-declarations] 'is_literal_type_v<mozilla::Result<mozilla::Ok, Foo8>>' is deprecated
 3:55.13 warning: mfbt/tests/TestResult.cpp:104:20 [-Wdeprecated-declarations] 'is_literal_type_v<mozilla::Result<Foo8, Foo16>>' is deprecated
 3:55.13 warning: mfbt/tests/TestResult.cpp:105:21 [-Wdeprecated-declarations] 'is_literal_type_v<mozilla::Result<mozilla::Ok, mozilla::UniquePtr<int>>>' is deprecated
 3:55.13 Your build was successful!
 Config object not found by mach.
Configure complete!
Be sure to run |mach build| to pick up any changes
To view resource usage of the build, run |mach resource-usage|.
To take your build for a test drive, run: |mach run|
Profiling instrumented JS...
/startdir/PKGBUILD: line 154:  6398 Segmentation fault      (core dumped) "$js" run.js
320PackagesBug ReportMediumLow[btop] On i486 fails on clock_gettime64New
0%
Task Description

shows a red ERROR: on startup, strace shows:

write(2, "\n", 1
)                       = 1
clock_gettime64(CLOCK_REALTIME, {tv_sec=1675495215, tv_nsec=436798535}) = 0
exit_group(1)                           = ?
+++ exited with 1 +++
[root@eurobuild6-7-i486 ~]# btop
ERROR: No UTF-8 locale detected!
321PackagesBug ReportMediumLow[gnome] brokenNew
0%
Task Description

mutter had a checksum issue (trivial).

gnome-shell misses a current version of gjs:

Dependency gjs-1.0 found: NO found 1.70.2 but need: '>= 1.73.1'
Did not find CMake 'cmake'
Found CMake: NO
Run-time dependency gjs-1.0 found: NO 

gnome-shell/meson.build:80:0: ERROR: Dependency lookup for gjs-1.0 with method 'pkgconfig' failed: Invalid version, need 'gjs-1.0' ['>= 1.73.1'] found '1.70.2'.

A full log can be found at /build/gnome-shell/src/build/meson-logs/meson-log.txt
326PackagesBug ReportMediumLow[php] needs a rebuildNew
0%
Task Description

httpd/conf/httpd.conf: Cannot load modules/libphp.so into server: libssl.so.1.1>

Showing tasks 1 - 50 of 65 Page 1 of 21 - 2 -

Available keyboard shortcuts

Tasklist

Task Details

Task Editing